Support » Plugin: Pix por Piggly (para Woocommerce) » Parou de funcionar adequadamente

  • 10/09/2021

    Mais uma vez foram feitas atualizações desnecessárias. Não há nenhuma melhoria ou nova funcionalidade que justificasse uma atualização.

    Simplesmente atualizam toda hora um plugin que tem um objetivo simples e que não precisa ter atualizações constantes, uma vez que está funcionando.

    Design pobre, que já customizei várias vezes e as atualizações estragam o que foi feito.

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Piggly Dev

    (@pigglydev)

    @henriqueaf a versão 2.x foi feita para suportar a API do Pix e ela era necessária para quem tem esse fim, inclusive já há pessoas utilizando para esse fim e tem funcionado muito bem. Como em todo software, quando você troca a versão inicial de 1.x -> 2.x isso claramente implica que é uma versão nova, remodelada e incompatível com tudo que veio antes, do contrário seria a versão 1.4.x e não 2.x. Quanto ao design, existem milhares de temas de WordPress e devemos nos ater ao básico pois muita gente gosta de personalizar, este é o ônus e o bônus. Lamentamos a sua experiência, e se a versão 2.x não é para você, recomendamos o downgrade. E nossos fixes ajudaram a corrigir os problemas para diversos usuários.

    Anonymous User 17676736

    (@anonymized-17676736)

    Concordo em parte com @henriqueaf porque o plugin está horrível, uma estrela é muito elogio. Só discordo na parte do design porque isso é irrelevante.

    Tabelas do banco de dados inúteis.
    Alterações dos formulários não funcionam.

    Estão criando informações sobre pedido em paralelo com o WooCommerce. Desnecessárias!

    Na tabela do banco de dados repete os dados da loja a cada pedido, mas não tem nenhum dado do cliente. Serve para que?

    • This reply was modified 1 month, 2 weeks ago by Anonymous User 17676736.
    Plugin Author Piggly Dev

    (@pigglydev)

    @ebarboza os dados que são mantidos na tabela do pix servem para os Pix dinâmicos, assim se for necessário recriar o Pix, então os dados são mantidos, além disso a duplicidade de dados é mais performática do que adicionar como um metadado do pedido (uma prática que será abandonada em breve na nova versão que está para sair do Woocommerce), caso não saiba o Woocommerce vai criar tabelas dedicadas e abandonar os pedidos como um post tradicional do WordPress. Os pix dinâmicos ainda precisam de uma consulta eficiente porque os SPIs retornam o TXID do Pix junto com outras informações que precisam ser comparadas e processadas. Além disso, a recriação dos Pix, no modelo antigo sobrescrevia um Pix para o pedido, uma vez que o Pix estava “dentro” do pedido e isso também não pode acontecer com os Pix dinâmicos. Acredite sabemos de nossas escolhas e sobre o que estamos fazendo, inclusive, já temos clientes utilizando as APIs e tem funcionado muito bem!

    Plugin Author Piggly Dev

    (@pigglydev)

    Para concluir @ebarboza entendo sua revolta com o plugin, mas vou reiterar que a versão 1.x já estava estável e funcionando muito bem, inclusive atendendo muitas lojas. A qualquer momento é possível retroceder para a versão. Você pode fazer isso acessando a página avançada do plugin https://wordpress.org/plugins/pix-por-piggly/advanced/ e escolhendo a versão 1.3.15, antes remova os registros pgly e piggly da tabela wp_option 😄

    Da versão 2.x em diante, não abriremos mão da tabela e deste novo formato, por duas razões: o Woocommerce vai mudar em breve e vai forçar todos os plugins se readaptarem; os Pix dinâmicos utilizados pelas APIs do Pix tornam necessário os dados que retemos da loja, até porque vamos implementar em breve múltiplas contas e chaves Pix.

Viewing 4 replies - 1 through 4 (of 4 total)
  • You must be logged in to reply to this review.